<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/container"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/background_main_light">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/myStatusBar"
        android:layout_width="match_parent"
        android:layout_height="36dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/mine_logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginTop="8dp"
            android:src="@mipmap/default_logo_light"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/statusBarDivider"
            android:layout_width="1dp"
            android:layout_height="match_parent"
            android:layout_marginStart="10dp"
            android:layout_marginTop="6dp"
            android:layout_marginBottom="6dp"
            android:src="@drawable/drawable_divide_line"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/mine_logo"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/myStatusName"
            style="@style/StatusBarTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:maxEms="8"
            android:maxLength="8"
            android:text="矿卡车载管理系统"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/statusBarDivider"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/vehicleNumber"
                style="@style/StatusBarTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxEms="6"
                android:maxLength="6"
                android:text="KK-001"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/driverName"
                style="@style/StatusBarTextStyle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:maxEms="4"
                android:maxLength="4"
                android:text="上官云"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/vehicleNumber"
                app:layout_constraintTop_toTopOf="parent" />
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/matterType"
                style="@style/StatusBarTextStyle"
                android:layout_width="76dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="4dp"
                android:layout_marginBottom="4dp"
                android:background="@drawable/drawable_bg_matter_status"
                android:maxEms="2"
                android:maxLength="2"
                android:text="六上"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/driverName"
                app:layout_constraintTop_toTopOf="parent" />
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/readyType"
                style="@style/StatusBarTextStyle"
                android:layout_width="76dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:background="@drawable/drawable_bg_ready_status"
                android:maxEms="2"
                android:maxLength="2"
                android:text="就绪"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintStart_toEndOf="@id/matterType"/>
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/carriedTruckNum"
                style="@style/StatusBarTextStyle"
                android:layout_width="76dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:background="@drawable/drawable_bg_carried_truck_num"
                android:maxEms="2"
                android:maxLength="2"
                android:text="16"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/readyType"
                app:layout_constraintTop_toTopOf="parent" />
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/violationsNum"
                style="@style/StatusBarTextStyle"
                android:layout_width="76dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="8dp"
                android:background="@drawable/drawable_bg_violations_num"
                android:maxEms="2"
                android:maxLength="2"
                android:text="3"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toEndOf="@+id/carriedTruckNum"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
        <TextClock
            android:id="@+id/systemTimeStamp"
            style="@style/StatusBarTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="15dp"
            android:format12Hour="yyyy.MM.dd hh:mm:ss"
            android:format24Hour="yyyy.MM.dd HH:mm:ss"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/nav_host_fragment_activity_main"
        android:name="androidx.navigation.fragment.NavHostFragment"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:defaultNavHost="true"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/myStatusBar"
        app:layout_constraintBottom_toBottomOf="parent"
        app:navGraph="@navigation/mobile_navigation" />

</androidx.constraintlayout.widget.ConstraintLayout>